Go Back   HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials > ISPConfig 3 > Plugins/Modules/Addons

Do you like HowtoForge? Please consider supporting us by becoming a subscriber.
Reply
 
Thread Tools Display Modes
  #1  
Old 26th April 2013, 11:51
simonb simonb is offline
Junior Member
 
Join Date: Aug 2011
Posts: 13
Thanks: 1
Thanked 3 Times in 2 Posts
Default APS Installer Old app versions on new ISPConfig?

I just created a new ISPConfig server. I notice that when I update the packages list for the APS installer it shows quite old version of Joomla and Wordpress.

On a previous ISPConfig server installation I am offered a newer version.
Ubuntu 10.04.4 LTS (Lucid Lynx)) ISPConfig 3.0.5.1
Joomla Offered: 3.0.3-5

On the new server...
(Ubuntu 12.04.2 LTS (Precise Pangolin)) ISPConfig 3.0.5.2
Joomla Offered: 1.0.15-7

This seems a bit backwards. Is there maybe a problem with the APS repository or have I missed something?
Reply With Quote
Sponsored Links
  #2  
Old 30th April 2013, 08:46
till till is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 35,460
Thanks: 813
Thanked 5,240 Times in 4,108 Posts
Default

The list of aps packages comes from apsstandard.org, so its not our repository. It might be tht they have. Problem with their repo or removed packages.
__________________
Till Brehm
--
Get ISPConfig support and the ISPConfig 3 manual from ispconfig.org.
Reply With Quote
  #3  
Old 5th May 2013, 17:27
DeCBiT DeCBiT is offline
Junior Member
 
Join Date: May 2013
Location: Italy
Posts: 6
Thanks: 2
Thanked 0 Times in 0 Posts
Default

Quote:
Originally Posted by simonb View Post
I just created a new ISPConfig server. I notice that when I update the packages list for the APS installer it shows quite old version of Joomla and Wordpress.

On a previous ISPConfig server installation I am offered a newer version.
Ubuntu 10.04.4 LTS (Lucid Lynx)) ISPConfig 3.0.5.1
Joomla Offered: 3.0.3-5

On the new server...
(Ubuntu 12.04.2 LTS (Precise Pangolin)) ISPConfig 3.0.5.2
Joomla Offered: 1.0.15-7

This seems a bit backwards. Is there maybe a problem with the APS repository or have I missed something?
Very strange because with my installation (Centos 6.4 + ISPConfig 3.0.5.2) it takes Joomla 2.5.11 (Release 5)...
__________________
DeCBiT hosting performante, veloce ed affidabile
Prestashop OK! Inizia subito il tuo business e paghi dopo sei mesi!!
Reply With Quote
  #4  
Old 6th May 2013, 19:52
simonb simonb is offline
Junior Member
 
Join Date: Aug 2011
Posts: 13
Thanks: 1
Thanked 3 Times in 2 Posts
Default

Quote:
Originally Posted by DeCBiT View Post
Very strange because with my installation (Centos 6.4 + ISPConfig 3.0.5.2) it takes Joomla 2.5.11 (Release 5)...
I am also being offered 2.5.11-5. It looks like the repository is slowly catching up with the rest of the world.

Is there only one repostitory or does ISPConfig pull from a particular mirror of many? Just wondering if we are tuned in to a dud mirror and if it can be changed.
Reply With Quote
  #5  
Old 21st May 2013, 14:07
simonb simonb is offline
Junior Member
 
Join Date: Aug 2011
Posts: 13
Thanks: 1
Thanked 3 Times in 2 Posts
Default

OK. I did some digging around on this. I'm a little bit out of my depth and completely out of time available but it seems the crawler code is missing the newest version of Joomla even though it is clearly in the returned XML from the repository.

I just submitted a but report.
http://bugtracker.ispconfig.org/inde...s&task_id=2962
Reply With Quote
The Following User Says Thank You to simonb For This Useful Post:
till (21st May 2013)
  #6  
Old 22nd May 2013, 12:46
monkfish monkfish is offline
HowtoForge Supporter
 
Join Date: Mar 2013
Posts: 106
Thanks: 9
Thanked 15 Times in 14 Posts
Default

Hello,
For reference on my install.

--

Existing CentOS 6.4 x64 build, ISPConfig 3.0.5.2:

Last package update done some time two weeks ago when installing a wordpress site. Offered joomla 3.0.3-5 when I logged in just now.

Did APS packagelist update and now offers joomla 2.5.11-5 as well.

Available packages (175)

--

Brand new build done Saturday, same architecture:

Only offers joomla 2.5.11-5.

Available packages (159)
Reply With Quote
  #7  
Old 22nd May 2013, 12:57
monkfish monkfish is offline
HowtoForge Supporter
 
Join Date: Mar 2013
Posts: 106
Thanks: 9
Thanked 15 Times in 14 Posts
Default

Again for reference, I have just emptied aps_packages tables and resynced packagelist from within interface;

existing server above - Available packages (175)
new server above - Available packages (157)
Reply With Quote
  #8  
Old 22nd May 2013, 13:25
monkfish monkfish is offline
HowtoForge Supporter
 
Join Date: Mar 2013
Posts: 106
Thanks: 9
Thanked 15 Times in 14 Posts
Default

Scrap the above seems the tables didnt empty when I did it.

Did it again and both old and new servers show 157 packages pulled from repository with joomla 2.5.11-5 offered.

What I did;
* rm -rf /usr/local/ispconfig/interface/web/sites/aps_meta_packages/*
* TRUNCATE "dbispconfig.aps_packages"
* resync packagelist from interface

Result = 157 packages offered

Tested on brand new box just built with no aps packagelist and same results - 157 packages, joomla 2.5.11-5 offered.

If there's a bugette in the ispconfig code I would suspect its not wiping "old" packages that are not being currently offered.
Reply With Quote
  #9  
Old 22nd May 2013, 14:15
simonb simonb is offline
Junior Member
 
Join Date: Aug 2011
Posts: 13
Thanks: 1
Thanked 3 Times in 2 Posts
Default

It seems something changed a few weeks ago that broke some assumptions being made by the APS crawler.

The 3.0.5.2 Joomla is still offered because it is a newer, not older, version than the 2.5.11.5 found from the repository. My older server also offered both however when I try and create a 3.0.5.2 the next screen in the wizard refers to 2.5.11.5 again.

Flushing the APS cache directory and the database table and running the crawler again gives only 2.5.11.5.

Actually the latest version in the repository is 3.1.1-3 if only the APS crawler can be persuaded to see it.

BTW. Please vote for the bug report if you are also experiencing the App version problem.
http://bugtracker.ispconfig.org/inde...s&task_id=2962

Last edited by simonb; 22nd May 2013 at 14:26.
Reply With Quote
  #10  
Old 22nd May 2013, 14:27
monkfish monkfish is offline
HowtoForge Supporter
 
Join Date: Mar 2013
Posts: 106
Thanks: 9
Thanked 15 Times in 14 Posts
 
Default

How interesting,

Search repository online at apsstandard.org and you do not even get joomla 2.5.11-5 returned in the list - they have 2.5.11-6 there.

http://apsstandard.org/applications#...la&addon=false

Not sure how that translates into a list pulled from apscatalog.com, according to server/lib/classes/aps_base.inc.php.

OT I seem to recall trying to log a bug report before stating I had duplicate categories in drop-down boxes on the APS filters - caused by difference between upper case and lower case I think.
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
ISPconfig App and server1.myserverdomain.tld "FQDN" danhansen@denmark Installation/Configuration 5 12th April 2013 02:08
APS Installer in mirror setup diablo666 Installation/Configuration 0 4th March 2013 16:50
Domain creation problem - OpenVZ DKLeader Installation/Configuration 11 26th October 2012 23:04
ISPConfig 3 - MultiServer Setup - With Dedicated Control Panel - How? SuperJC Installation/Configuration 4 16th October 2012 20:03
ISPConfig APS installer/ Billing Karnith General 1 2nd June 2009 13:05


All times are GMT +2. The time now is 13:24.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.